com.aliyun.svideosdk.common.struct.effect

## Class EffectBean

- java.lang.Object
- - com.aliyun.svideosdk.common.struct.effect.EffectBean

- Deprecated.
  于v3.27.0版本

      @Deprecated
      public class EffectBean
      extends java.lang.Object

  由于该类属性过于杂乱

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EffectBean()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)` Deprecated.
    `long` | `getDuration()` Deprecated. 设置特效作用持续时间，目前只对音乐有效，即从开始时间点开始特效的作用时间长度，单位：微秒
    `long` | `getDuration(java.util.concurrent.TimeUnit timeUnit)` Deprecated. 设置特效作用持续时间，目前只对音乐有效，即从开始时间点开始特效的作用时间长度
    `int` | `getId()` Deprecated.
    `int` | `getMvAudioId()` Deprecated. 获取mv的音频流id
    `int` | `getOldId()` Deprecated. 获取恢复前的资源id，仅用于恢复后的资源
    `java.lang.String` | `getPath()` Deprecated. 使用 `getSource()`替代
    `Source` | `getSource()` Deprecated. 获取资源
    `long` | `getStartTime()` Deprecated. 获取特效作用的开始时间点，目前只对音乐有效，开始时间是指音乐在视频播放时间轴上开始播放的时间点，单位：微秒
    `long` | `getStartTime(java.util.concurrent.TimeUnit timeUnit)` Deprecated. 获取特效作用的开始时间点，目前只对音乐有效，开始时间是指音乐在视频播放时间轴上开始播放的时间点
    `long` | `getStreamDuration()` Deprecated. 获取在特效流上的时长,单位：微秒
    `long` | `getStreamDuration(java.util.concurrent.TimeUnit timeUnit)` Deprecated. 获取在特效流上的时长,单位：毫秒
    `long` | `getStreamStartTime()` Deprecated. 获取在特效流上的开始时间,单位：微秒
    `long` | `getStreamStartTime(java.util.concurrent.TimeUnit timeUnit)` Deprecated. 获取在特效流上的开始时间,单位：毫秒
    `int` | `getWeight()` Deprecated.
    `void` | `setDuration(long durationUs)` Deprecated. 设置特效作用持续时间，目前只对音乐有效，即从开始时间点开始特效的作用时间长度, 单位：毫秒
    `void` | `setDuration(long duration, java.util.concurrent.TimeUnit timeUnit)` Deprecated. 设置特效作用持续时间，目前只对音乐有效，即从开始时间点开始特效的作用时间长度,
    `void` | `setId(int id)` Deprecated. 设置资源ID
    `void` | `setMvAudioId(int audioId)` Deprecated. 设置mv的音频流id 不建议用户调用
    `void` | `setOldId(int oldId)` Deprecated. 设置旧资源id，不建议用户使用
    `void` | `setPath(java.lang.String path)` Deprecated. 使用 `setSource(Source)`替代
    `void` | `setSource(Source source)` Deprecated. 设置资源
    `void` | `setStartTime(long startTimeUs)` Deprecated. 设置特效作用的开始时间点，目前只对音乐有效，开始时间是指音乐在视频播放时间轴上开始播放的时间点
    `void` | `setStartTime(long startTime, java.util.concurrent.TimeUnit timeUnit)` Deprecated. 设置特效作用的开始时间点，目前只对音乐有效，开始时间是指音乐在视频播放时间轴上开始播放的时间点
    `void` | `setStreamDuration(long streamDurationUs)` Deprecated. 设置在特效流上的时长
    `void` | `setStreamDuration(long streamDuration, java.util.concurrent.TimeUnit timeUnit)` Deprecated. 设置在特效流上的时长
    `void` | `setStreamStartTime(long streamStartTimeUs)` Deprecated. 设置在特效流上的开始时间
    `void` | `setStreamStartTime(long streamStartTime, java.util.concurrent.TimeUnit timeUnit)` Deprecated. 设置在特效流上的开始时间
    `void` | `setWeight(int weight)` Deprecated. 设置权重，混音权重
    `TrackAudioStream` | `toTrackAudioStream()` Deprecated. 转换成`TrackAudioStream` 实体类
    `TrackEffectFilter` | `toTrackEffectFilter()` Deprecated. 转换成`TrackEffectFilter` 实体类
    `TrackEffectMV` | `toTrackMV()` Deprecated. 转换成`TrackEffectMV` 实体类

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EffectBean

          public EffectBean()

      Deprecated.

  - ### Method Detail

    - #### getWeight

          public int getWeight()

      Deprecated.

    - #### setWeight

          public void setWeight(int weight)

      Deprecated.
      设置权重，混音权重
      Parameters:
        `weight` - [0, 100]

    - #### getStreamStartTime

          public long getStreamStartTime()

      Deprecated.
      获取在特效流上的开始时间,单位：微秒

    - #### getStreamStartTime

          public long getStreamStartTime(java.util.concurrent.TimeUnit timeUnit)

      Deprecated.
      获取在特效流上的开始时间,单位：毫秒

      v3.27.0 新增

      Parameters:
        `timeUnit` - 时间单位

    - #### setStreamStartTime

          public void setStreamStartTime(long streamStartTimeUs)

      Deprecated.
      设置在特效流上的开始时间
      Parameters:
        `streamStartTimeUs` - 单位：微秒

    - #### setStreamStartTime

          public void setStreamStartTime(long streamStartTime,
                                         java.util.concurrent.TimeUnit timeUnit)

      Deprecated.
      设置在特效流上的开始时间

      v3.27.0 新增

      Parameters:
        `streamStartTime` -
        `timeUnit` - 时间单位

    - #### getStreamDuration

          public long getStreamDuration()

      Deprecated.
      获取在特效流上的时长,单位：微秒

    - #### getStreamDuration

          public long getStreamDuration(java.util.concurrent.TimeUnit timeUnit)

      Deprecated.
      获取在特效流上的时长,单位：毫秒

      v3.27.0 新增

      Parameters:
        `timeUnit` - 时间单位

    - #### setStreamDuration

          public void setStreamDuration(long streamDurationUs)

      Deprecated.
      设置在特效流上的时长
      Parameters:
        `streamDurationUs` - 单位：微秒

    - #### setStreamDuration

          public void setStreamDuration(long streamDuration,
                                        java.util.concurrent.TimeUnit timeUnit)

      Deprecated.
      设置在特效流上的时长

      v3.27.0 新增

      Parameters:
        `streamDuration` -
        `timeUnit` - 时间单位

    - #### getId

          public int getId()

      Deprecated.

    - #### setId

          public void setId(int id)

      Deprecated.
      设置资源ID
      Parameters:
        `id` -

    - #### getOldId

          public int getOldId()

      Deprecated.
      获取恢复前的资源id，仅用于恢复后的资源
      Returns:
        恢复前资源id

    - #### setOldId

          public void setOldId(int oldId)

      Deprecated.
      设置旧资源id，不建议用户使用
      Parameters:
        `oldId` - 旧资源id

    - #### getPath

          @Deprecated
          public java.lang.String getPath()

      Deprecated. 使用 `getSource()`替代
      获取资源文件路径
      Returns:
        资源文件路径

    - #### setPath

          @Deprecated
          public void setPath(java.lang.String path)

      Deprecated. 使用 `setSource(Source)`替代
      设置资源文件路径
      Parameters:
        `path` -

    - #### getSource

          public Source getSource()

      Deprecated.
      获取资源
      Returns:
        资源

    - #### setSource

          public void setSource(Source source)

      Deprecated.
      设置资源
      Parameters:
        `source` - 资源

    - #### getStartTime

          public long getStartTime()

      Deprecated.
      获取特效作用的开始时间点，目前只对音乐有效，开始时间是指音乐在视频播放时间轴上开始播放的时间点，单位：微秒

    - #### getStartTime

          public long getStartTime(java.util.concurrent.TimeUnit timeUnit)

      Deprecated.
      获取特效作用的开始时间点，目前只对音乐有效，开始时间是指音乐在视频播放时间轴上开始播放的时间点
      Parameters:
        `timeUnit` - 时间单位

    - #### setStartTime

          public void setStartTime(long startTimeUs)

      Deprecated.
      设置特效作用的开始时间点，目前只对音乐有效，开始时间是指音乐在视频播放时间轴上开始播放的时间点
      Parameters:
        `startTimeUs` - 单位：微秒

    - #### setStartTime

          public void setStartTime(long startTime,
                                   java.util.concurrent.TimeUnit timeUnit)

      Deprecated.
      设置特效作用的开始时间点，目前只对音乐有效，开始时间是指音乐在视频播放时间轴上开始播放的时间点

      v3.27.0 新增

      Parameters:
        `startTime` -
        `timeUnit` -

    - #### getDuration

          public long getDuration()

      Deprecated.
      设置特效作用持续时间，目前只对音乐有效，即从开始时间点开始特效的作用时间长度，单位：微秒

    - #### getDuration

          public long getDuration(java.util.concurrent.TimeUnit timeUnit)

      Deprecated.
      设置特效作用持续时间，目前只对音乐有效，即从开始时间点开始特效的作用时间长度

      v3.27.0 新增

      Parameters:
        `timeUnit` - 时间单位

    - #### setDuration

          public void setDuration(long durationUs)

      Deprecated.
      设置特效作用持续时间，目前只对音乐有效，即从开始时间点开始特效的作用时间长度, 单位：毫秒
      Parameters:
        `durationUs` - 持续时间，单位：毫秒

    - #### setDuration

          public void setDuration(long duration,
                                  java.util.concurrent.TimeUnit timeUnit)

      Deprecated.
      设置特效作用持续时间，目前只对音乐有效，即从开始时间点开始特效的作用时间长度,

      v3.27.0 新增

      Parameters:
        `duration` - 持续时间
        `timeUnit` - 时间单位

    - #### setMvAudioId

          public void setMvAudioId(int audioId)

      Deprecated.
      设置mv的音频流id 不建议用户调用
      Parameters:
        `audioId` - 音频流id

    - #### getMvAudioId

          public int getMvAudioId()

      Deprecated.
      获取mv的音频流id
      Returns:
        音频流id

    - #### equals

          public boolean equals(java.lang.Object obj)

      Deprecated.
      Overrides:
        `equals` in class `java.lang.Object`

    - #### toTrackEffectFilter

          public TrackEffectFilter toTrackEffectFilter()

      Deprecated.
      转换成`TrackEffectFilter` 实体类

      v3.27.0 新增

      Returns:
      See Also:
        `TrackEffectFilter`

    - #### toTrackAudioStream

          public TrackAudioStream toTrackAudioStream()

      Deprecated.
      转换成`TrackAudioStream` 实体类

      v3.27.0 新增

      Returns:
      See Also:
        `TrackAudioStream`

    - #### toTrackMV

          public TrackEffectMV toTrackMV()

      Deprecated.
      转换成`TrackEffectMV` 实体类

      v3.27.0 新增

      Returns:
      See Also:
        `TrackEffectMV`